Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.log
Class LogOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.ByteArrayOutputStream
              org.apache.openjpa.lib.log.LogOutputStream

All Implemented Interfaces:
  Closeable, Flushable

    public class LogOutputStream

extends ByteArrayOutputStream

Many standard components log to `OutputStream`s. This wrapper class extends the `ByteArrayOutputStream` class and writes all given data to an underlying `Log` instance whenever it is flushed and the internally held byte array contains a newline.

Author:
  Abe White, Marc Prud'hommeaux

Field Summary

Fields inherited from class java.io.ByteArrayOutputStream
`buf, count`

Constructor Summary
`LogOutputStream(Log log, int level)` Constructor.

Method Summary
`void` | `flush()`

Methods inherited from class java.io.ByteArrayOutputStream
`close, reset, size, toByteArray, toString, toString, toString, write, write, writeTo`

Methods inherited from class java.io.OutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LogOutputStream

    public LogOutputStream(Log log,
                           int level)

  Constructor.

  Parameters:
    `log` - the log to log to
    `level` - the level to log at

Method Detail

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in interface `Flushable`
  Overrides:
    `flush` in class `OutputStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.